'use strict';
import React from 'react'
import { connect }  from 'react-redux';
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
import TroubleContainer from '../TroubleContainer/TroubleContainer'
import ScanBarCodeContainer from '../ScanBarCodeContainer/ScanBarCodeContaienr'
import ReportDamagesListContainer from '../ReportDamagesListContainer/ReportDamagesListContainer'
import OtherQuestionContainer from '../OtherQuestionContainer/OtherQuestionContainer'

const showPage = {
    1 : 'Trouble',
    2 : 'Scan',
    3 : 'DamageProductList',
    4 : 'OtherQuestionUpload'
}

class PageContainer extends React.Component {
    constructor(props) {
        super(props);
        // UTILPATH.socket.getIp();
        this.state = {
            showPage : showPage[3],
            page : null
        };
        this.getPages = this.getPages.bind(this);
    }
    componentWillMount() {
        let pages = this.getPages();
        this.setState({
            page : pages
        })
    }
    componentDidMount(){
    }
    componentDidUpdate() {
    }
    componentWillReceiveProps(nextProps){
    }
    componentWillUnmount(){
    }

    getPages(){
        let pages = null;
        switch (this.state.showPage){
            case showPage[1]:
                pages = <TroubleContainer />;
                break;
            case showPage[2]:
                pages = <ScanBarCodeContainer />;
                break;
            case showPage[3]:
                pages = <ReportDamagesListContainer />;
                break;
            case showPage[4]:
                pages = <OtherQuestionContainer />;
                break;
        }
        return pages;
    }

    render() {
        return (
            <div>
                <HeaderComponent />
                {this.state.page}
            </div>
        )
    }
}

function select(store) {
    return Object.assign({}, {state: store})
}

export default connect(select)(PageContainer)